> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List IP assignments for app



## OpenAPI

````yaml /machines-api/openapi.json get /v1/apps/{app_name}/ip_assignments
openapi: 3.0.1
info:
  title: Machines API
  description: >-
    This site hosts documentation generated from the Fly.io Machines API OpenAPI
    specification. Visit our complete [Machines API
    docs](https://fly.io/docs/machines/api/) for how to get started, more
    information about each endpoint, parameter descriptions, and examples.
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://api.machines.dev
security: []
tags:
  - name: Apps
    description: >-
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/apps-resource/) for details about
      using the Apps resource.
  - name: Machines
    description: >-
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/machines-resource/) for details
      about using the Machines resource.
  - name: TLS Certificates
    description: >
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/certificates-resource/) for details
      about using the TLS Certificates resource.
  - name: Volumes
    description: >-
      This site hosts documentation generated from the Fly.io Machines API
      OpenAPI specification. Visit our complete [Machines API
      docs](https://fly.io/docs/machines/api/volumes-resource/) for details
      about using the Volumes resource.
  - name: Postgres Clusters
    description: >-
      Create and manage Postgres clusters, including databases, users,
      extensions, backups, and app attachments.
externalDocs:
  url: https://fly.io/docs/machines/working-with-machines/
paths:
  /v1/apps/{app_name}/ip_assignments:
    get:
      tags:
        - Apps
      summary: List IP assignments for app
      operationId: App_IPAssignments_list
      parameters:
        - name: app_name
          in: path
          description: Fly App Name
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/listIPAssignmentsResponse'
components:
  schemas:
    listIPAssignmentsResponse:
      type: object
      properties:
        ips:
          type: array
          items:
            $ref: '#/components/schemas/IPAssignment'
    IPAssignment:
      type: object
      properties:
        created_at:
          type: string
        egress:
          type: boolean
        ip:
          type: string
        network:
          $ref: '#/components/schemas/IPAssignmentNetwork'
        region:
          type: string
        service_name:
          type: string
        shared:
          type: boolean
    IPAssignmentNetwork:
      type: object
      properties:
        name:
          type: string
          description: Network name; empty for the organization's default network.
        org_slug:
          type: string
      description: >-
        The 6PN network a Flycast (private_v6) address belongs to. Null for all
        other IP types.

````